Bug 127488 - nested panels dance, won't close
Summary: nested panels dance, won't close
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-08 20:57 UTC by Zack Cerza
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 18:06:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2004-07-08 20:57:35 UTC
Description of problem:
With nested panels/drawers at depths greater than 2, clicking on the
root panel/drawer's hide button produces an entertaining visual effect
but doesn't actually close any of the drawers.

Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Always.

Steps to Reproduce:
1. Add a drawer to the panel. Let's call it drawer 'A' .
2. Add a drawer to drawer A. Let's call it drawer 'B' .
3. Add a drawer to drawer B. Let's call it drawer 'C' .
4. Click on drawer A.
  
Actual results:
The drawers dance around a bit, but don't close.

Expected results:
The dancing I don't mind, but the drawers should at least close ;)

Additional info:
The drawers' dance moves are even more entertaining when you have >10
or so levels. Also, you can get the same effect by clicking on either
of the panel's hide buttons. In that case you only need 2 levels of
drawers open.
A number of people have suggested disallowing the nesting of drawers.
I think that's an unncesessary feature removal. It shouldn't be too
hard to make the drawers recursively close each other.

Comment 1 Mark McLoughlin 2004-08-11 09:21:08 UTC
Confirmed. This definitely worked at some point in the past, will
investigate further

Comment 2 Mark McLoughlin 2004-08-11 18:06:34 UTC
Fixed upstream now. Fix will be in 2.7.91 which we'll update to when
its released:



2004-08-11  Mark McLoughlin  <mark@skynet.ie>

        Fix for nested drawer craziness reported at:
        https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=127488

        * panel-toplevel.c:
        (panel_toplevel_focus_in_event): only unhide if its 
         autohidden.




Note You need to log in before you can comment on or make changes to this bug.